
require([
  "cerebral/application/core",
  "backbone",
  "backboneLocalStorage",
  "jquery",
  "cerebral/application/mediator"
],
function( core, Backbone, BackboneLocalStorage, $, mediator ) {
  
  window.core = core
  BackboneLocalStorage( Backbone )

  core.configure({
    moduleRoot: 'app/modules/'
  })

  /* Start modules */
  core.start("todos", {
    onDomReady: true,
    sandbox: {
      element: "#todos"
    }
  })

  core.start("achievements", {
    onDomReady: true,
    sandbox: {
      element: "#achievements"
    }
  })

  core.start("admin", {
    onDomReady: true,
    sandbox: {
      element: "#admin"
    }
  })

  
  /* Subscripe to admin events */
  mediator.subscribe("admin::starttodos", function() { 

    core.start("todos", {
      onDomReady: true,
      sandbox: {
        element: "#todos"
      }
    })

  })

  mediator.subscribe("admin::stoptodos", function() { 
    core.stop( "todos" ) 
  })

  mediator.subscribe("admin::startachievements", function() { 
    
    core.start("achievements", {
      onDomReady: true,
      sandbox: {
        element: "#achievements"
      }
    })
    
  })

  mediator.subscribe("admin::stopachievements", function() { 
    core.stop( "achievements" ) 
  })

})